"""add carta notifications

Revision ID: 18521b94d2f8
Revises: 81679be895a6
Create Date: 2021-08-12 15:03:45.627177

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "18521b94d2f8"
down_revision = "81679be895a6"
branch_labels = None
depends_on = None


template = """ To: {{destination_email}}
Subject: NRAO CARTA Session Expired 


Dear User,

Your CARTA session has expired.

Thank you for using NRAO Workspaces.

Best regards,
NRAO Workspaces

"""


def upgrade():
    op.execute(
        f"""
        INSERT INTO notification_templates (name, description, template) 
        VALUES ('carta_expired', 
        'An email template for notifying a user that their carta session is expired',
         '{template}') 
        """
    )


def downgrade():
    op.execute(
        """
        DELETE FROM notification_templates WHERE name='carta_expired'
        """
    )
